Loading...
Searching...
No Matches
dboard_eeprom.h File Reference
`#include <uhd/config.h>`
`#include <uhd/error.h>`
Include dependency graph for dboard_eeprom.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct uhd_dboard_eeprom_t * | uhd_dboard_eeprom_handle
| A C-level interface for interacting with a daughterboard EEPROM.

## Functions

UHD_API uhd_error | uhd_dboard_eeprom_make (uhd_dboard_eeprom_handle *h)
| Create handle for a USRP daughterboard EEPROM.
UHD_API uhd_error | uhd_dboard_eeprom_free (uhd_dboard_eeprom_handle *h)
| Safely destroy the given handle.
UHD_API uhd_error | uhd_dboard_eeprom_get_id (uhd_dboard_eeprom_handle h, char *id_out, size_t strbuffer_len)
| Get the ID associated with the given daughterboard as a string hex representation.
UHD_API uhd_error | uhd_dboard_eeprom_set_id (uhd_dboard_eeprom_handle h, const char *id)
| Set the daughterboard ID using a string hex representation.
UHD_API uhd_error | uhd_dboard_eeprom_get_serial (uhd_dboard_eeprom_handle h, char *serial_out, size_t strbuffer_len)
| Get the daughterboard's serial.
UHD_API uhd_error | uhd_dboard_eeprom_set_serial (uhd_dboard_eeprom_handle h, const char *serial)
| Set the daughterboard's serial.
UHD_API uhd_error | uhd_dboard_eeprom_get_revision (uhd_dboard_eeprom_handle h, int *revision_out)
UHD_API uhd_error | uhd_dboard_eeprom_set_revision (uhd_dboard_eeprom_handle h, int revision)
| Set the daughterboard's revision.
UHD_API uhd_error | uhd_dboard_eeprom_last_error (uhd_dboard_eeprom_handle h, char *error_out, size_t strbuffer_len)
| Get the last error reported by the handle.

## Typedef Documentation

## uhd_dboard_eeprom_handle

typedef struct uhd_dboard_eeprom_t* uhd_dboard_eeprom_handle

A C-level interface for interacting with a daughterboard EEPROM.

See uhd::usrp::dboard_eeprom_t for more details.

NOTE: Using a handle before passing it into uhd_dboard_eeprom_make() will result in undefined behavior.

## Function Documentation

## uhd_dboard_eeprom_free()

UHD_API uhd_error uhd_dboard_eeprom_free | ( | uhd_dboard_eeprom_handle * | h | ) |

Safely destroy the given handle.

NOTE: Using a handle after passing it into this function will result in a segmentation fault.

## uhd_dboard_eeprom_get_id()

UHD_API uhd_error uhd_dboard_eeprom_get_id | ( | uhd_dboard_eeprom_handle | h,
|  | char * | id_out,
|  | size_t | strbuffer_len )

Get the ID associated with the given daughterboard as a string hex representation.

## uhd_dboard_eeprom_get_revision()

UHD_API uhd_error uhd_dboard_eeprom_get_revision | ( | uhd_dboard_eeprom_handle | h,
|  | int * | revision_out )

Get the daughterboard's revision

The revision doesn't always have to be present, in which case this function will return an error.

## uhd_dboard_eeprom_get_serial()

UHD_API uhd_error uhd_dboard_eeprom_get_serial | ( | uhd_dboard_eeprom_handle | h,
|  | char * | serial_out,
|  | size_t | strbuffer_len )

Get the daughterboard's serial.

## uhd_dboard_eeprom_last_error()

UHD_API uhd_error uhd_dboard_eeprom_last_error | ( | uhd_dboard_eeprom_handle | h,
|  | char * | error_out,
|  | size_t | strbuffer_len )

Get the last error reported by the handle.

## uhd_dboard_eeprom_make()

UHD_API uhd_error uhd_dboard_eeprom_make | ( | uhd_dboard_eeprom_handle * | h | ) |

Create handle for a USRP daughterboard EEPROM.

## uhd_dboard_eeprom_set_id()

UHD_API uhd_error uhd_dboard_eeprom_set_id | ( | uhd_dboard_eeprom_handle | h,
|  | const char * | id )

Set the daughterboard ID using a string hex representation.

## uhd_dboard_eeprom_set_revision()

UHD_API uhd_error uhd_dboard_eeprom_set_revision | ( | uhd_dboard_eeprom_handle | h,
|  | int | revision )

Set the daughterboard's revision.

## uhd_dboard_eeprom_set_serial()

UHD_API uhd_error uhd_dboard_eeprom_set_serial | ( | uhd_dboard_eeprom_handle | h,
|  | const char * | serial )

Set the daughterboard's serial.